#ifndef WAYLAND_REGISTRY_H
#define WAYLAND_REGISTRY_H

#include <wayland-client.h>

int registry_global_bind(struct wl_display *display);
void registry_global_unbind(void);

/* Доступ к привязанным глобальным объектам */
struct wl_compositor *registry_get_compositor(void);
struct wl_shm *registry_get_shm(void);
struct xdg_wm_base *registry_get_xdg_wm_base(void);

#endif
